Subject: [PATCH v2 2/2] ARM: OMAP4+: PRM: fix of_irq_get() result checks

From: [email-masked] (Tony Lindgren)
Date: Mon, 14 Aug 2017 10:17:48 -0700

* Sergei Shtylyov <[email-masked]> [170814 04:44]:
> On 08/10/2017 01:02 AM, Tony Lindgren wrote:
> 
> > > > of_irq_get() may return 0 as well as a nagative error number on failure,
> > > 
> > >     Oops, forgot to kill comma...
> > 
> > I can fix that while applying.
> 
>    Thanks!
> 
> > > > (and never on success), however omap44xx_prm_late_init() regards 0 as a
> > > > valid IRQ -- fix this.
> > > > 
> > > > Fixes: a8f83aefcd5a ("ARM: OMAP4+: PRM: register interrupt information from DT")
> > > > Fixes: c5b3955828ba ("ARM: OMAP4: Fix legacy code clean-up regression")
> > > > Signed-off-by: Sergei Shtylyov <[email-masked]>
> > > [...]
> 
> > Seems these both should be safe to apply into fixes-not-urgent for
> > v4.14 merge window as we have not seen any issues with this? Or
> 
>    Yes, probably.
> 
> > are there some known bugs related to this?
> 
>    Dunno, I was just auditing the call sites of of_irq_get[_byname]()...

OK thanks I'll apply both into omap-for-v4.14/fixes-not-urgent.

Tony